Options -Indexes

RewriteEngine On

RewriteCond %{REQUEST_URI} ^/banners/geo/[0-9]+x[0-9]+\.php
RewriteRule ^.*$ /banner.php?%{QUERY_STRING} [NC,L]

RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^.*$ index.php [NC,L]